#include "ventanaPrincipal.h"
 
#include <QMenuBar>
#include <QToolBar>
#include <QLabel>
#include <QStatusBar>
#include <QMessageBox>
#include <QInputDialog>
 
CVentanaPrincipal::CVentanaPrincipal()
{
    menuArchivo = menuBar()->addMenu(trUtf8("&Archivo"));
    menuAyuda = menuBar()->addMenu(trUtf8("A&yuda"));
 
    barraDeHerramientas = addToolBar(trUtf8("&Archivo"));
 
    widgetCentral = new QLabel(trUtf8("Widget central"));
    widgetCentral->setFont(QFont("Sans-Serif", 25));
 
    activarNuevo = new QAction(QIcon("filenew.png"), trUtf8("&Nuevo"), this);
    activarNuevo->setShortcut(QKeySequence::New);
    activarNuevo->setStatusTip(trUtf8("Crear un nuevo archivo"));
 
    activarAbrir = new QAction(QIcon("fileopen.png"), trUtf8("&Abrir"), this);
    activarAbrir->setShortcut(QKeySequence::Open);
    activarAbrir->setStatusTip(trUtf8("Abrir un archivo existente"));
 
    activarProbarPar = new QAction(trUtf8("&Probar Par"), this);
    activarAbrir->setStatusTip(trUtf8("Probar si un número es par"));

    activarSalir = new QAction(QIcon("exit.png"), trUtf8("&Salir"), this);
    activarSalir->setStatusTip(trUtf8("Salir de la aplicación"));
 
    activarAcercaDe = new QAction(QIcon("exit.png"), trUtf8("&Acerca de"), this);
    activarAcercaDe->setShortcut(QKeySequence("Ctrl+d"));
    activarAcercaDe->setStatusTip(trUtf8("Información sobre esta aplicación"));
 
    menuArchivo->addAction(activarNuevo);
    menuArchivo->addAction(activarAbrir);
    menuArchivo->addAction(activarProbarPar);
    menuArchivo->addSeparator();
    menuArchivo->addAction(activarSalir);
 
    menuAyuda->addAction(activarAcercaDe);
 
    barraDeHerramientas->addAction(activarNuevo);
    barraDeHerramientas->addAction(activarAbrir);
    barraDeHerramientas->addSeparator();
    barraDeHerramientas->addAction(activarSalir);
 
    setCentralWidget(widgetCentral);
    statusBar()->showMessage(trUtf8("Bienvenido"));
    setWindowTitle("Ventana Principal");
    setMinimumSize(200, 200);
 
    connect(activarNuevo, SIGNAL(triggered()),
            this, SLOT(gestorActivarNuevo()));
 
    connect(activarAbrir, SIGNAL(triggered()),
            this, SLOT(gestorActivarAbrir()));

   connect(activarProbarPar, SIGNAL(triggered()),
            this, SLOT(gestorActivarProbarPar()));
 
    connect(activarAcercaDe, SIGNAL(triggered()),
            this, SLOT(gestorActivarAcercaDe()));
 
    connect(activarSalir, SIGNAL(triggered()),
            this, SLOT(gestorActivarSalir()));
}
 
void CVentanaPrincipal::gestorActivarNuevo()
{
    widgetCentral->setText(trUtf8("Colocar el código de  \"Nuevo\""));
    this->resize(QSize(widgetCentral->sizeHint().width(), 200));
}
 
void CVentanaPrincipal::gestorActivarAbrir()
{
    widgetCentral->setText(trUtf8("Colocar el código de  \"Abrir\" "));
    
    this->resize(QSize(widgetCentral->sizeHint().width(), 200));
}
 
void CVentanaPrincipal::gestorActivarProbarPar()
{
   bool resp;
   int par;
   int n;
   QString es;

   n = QInputDialog::getInt(this, trUtf8("¿Número par?"),
          trUtf8("Número (1-20):"), 1, 1, 20, 1, &resp);
   if ( resp ) {
      par = n % 2;
      if ( par ){
         es = "No es par";
      } else {
         es = "Si es par";
      }
    widgetCentral->setText(es);
    this->resize(QSize(widgetCentral->sizeHint().width(), 200));
   }
}


void CVentanaPrincipal::gestorActivarAcercaDe()
{
    QMessageBox::about(this, this->windowTitle(), trUtf8("Aquí se debe colocar información sobre la aplicación y versiónn\nContaco email tucuenta@ula.ve\nhttp://lcnw.sistemas.ula.ve/tuCuenta"));
}
 
void CVentanaPrincipal::gestorActivarSalir()
{
    exit(0);
}
